跳转到主要内容
GET
读取市场数据结果
通过市场数据返回的 result_url,读取相同 Run 的规范化输出、业务 result_status 和总费用。HTTP 200 仍可能包含 result_status=pending。此认证读取不创建 Run、不调用数据提供商,也不恢复切换。GET /v1/runs/:id 仍返回单个 Run 的原生输出。结果上下文带签名,绑定工作空间,并对每个 Run 按当前 API Key Policy 检查权限。

查询参数

token
string
必填

result_url 中返回的不透明结果上下文。保持原样,并使用有权读取所列全部 Run 的 API Key 认证。

Required string length: 1 - 16384

响应

MarketDataResult

id
string
必填
run_url
string
必填

在控制台打开 Run,需要工作空间成员权限。

provider
string
必填
Pattern: ^[a-z0-9][a-z0-9-]*$
endpoint
string
必填
Pattern: ^\/.+$
endpoint_version
integer
必填
status
enum<string>
必填

QUEUED 或 RUNNING 表示仍在执行。COMPLETED 表示已有数据提供商响应,包括非 2xx 响应。FAILED 请读取 failure。STOPPED 表示分派前停止。charge_usd 与状态分别检查。

可用选项:
QUEUED,
RUNNING,
COMPLETED,
FAILED,
STOPPED
failure
object | null
必填

Run 失败原因,仅在 status 为 FAILED 时非 null。

input
object
必填
output
object
必填

各操作的规范化字段。原生输出保留在 Run 中,可通过 GET /v1/runs/:id 读取。未报告的值为 null;有效空结果保留操作结构,各字段为 null 或 items 为 [],result_status 为 no_result。金额为美元,操作包含 currency 字段时除外。_date 为 YYYY-MM-DD,_at 为 ISO 8601 UTC,*_text 为原样返回的展示文本。

  • property_value: address, property_type, bedrooms, bathrooms, living_area_sqft ,居住面积, lot_size_sqft, year_built, latitude, longitude, estimated_value_usd, value_low_usd, value_high_usd, comparables_count ,估值所用的可比成交数
  • property_rent: address, property_type, bedrooms, bathrooms, living_area_sqft ,居住面积, lot_size_sqft, year_built, latitude, longitude, estimated_rent_usd ,月度, rent_low_usd, rent_high_usd, comparables_count ,估算所用的可比租赁数
  • property_search: items[]: property_id, address, property_type, bedrooms, bathrooms, living_area_sqft ,居住面积, lot_size_sqft, year_built, latitude, longitude, last_sale_price_usd, last_sale_date ,YYYY-MM-DD, owner_names[], owner_type, owner_mailing_address, owner_occupied
  • listings_sale: items[]: listing_id, address, property_type, bedrooms, bathrooms, living_area_sqft ,居住面积, lot_size_sqft, year_built, latitude, longitude, status, listing_type, listed_date ,YYYY-MM-DD, days_on_market, hoa_fee_usd ,月度 HOA 费用, mls_name, mls_number, agent {name, phone, email, website}, office {name, phone, email, website}, price_usd ,挂牌价
  • listings_rental: items[]: listing_id, address, property_type, bedrooms, bathrooms, living_area_sqft ,居住面积, lot_size_sqft, year_built, latitude, longitude, status, listing_type, listed_date ,YYYY-MM-DD, days_on_market, hoa_fee_usd ,月度 HOA 费用, mls_name, mls_number, agent {name, phone, email, website}, office {name, phone, email, website}, monthly_rent_usd
  • market_stats: zip, updated_at ,ISO 8601 UTC,RentCast 最近刷新汇总的时间, sale {average_price_usd, median_price_usd, average_price_per_sqft_usd, median_price_per_sqft_usd, average_days_on_market, median_days_on_market, total_listings, new_listings}, rental {average_rent_usd, median_rent_usd, average_rent_per_sqft_usd, median_rent_per_sqft_usd ,月租金, average_days_on_market, median_days_on_market, total_listings, new_listings}
  • stock_quote: symbol, name, exchange, currency, price ,常规时段最新价格,单位为 currency;Google Finance 报价可能延迟, change ,相对于上一常规收盘价的绝对变动,单位为 currency, change_percent ,相对于上一常规收盘价的百分点变动,1.5 表示 1.5%, extended_hours_session ,原样展示的时段标签,如 Pre-market 或 After hours,常规时段为 null, extended_hours_price, extended_hours_change、extended_hours_change_percent,盘前盘后报价相对于常规时段价格的变动,单位相同, as_of_text ,Google Finance 页面原样时间戳,不是 ISO 格式,也不是 price 的时间
provider_response
object | null
必填

仅在 status 为 COMPLETED 时非 null。

  • 2xx 响应:output 为任意结构的数据提供商原生 JSON;正文为空时为 null。
  • 非 2xx 响应:error 包含数据提供商错误正文,output 为 null。

两种正文均会移除敏感字段。

charge_usd
string | null
必填

此 Solution 响应所含 runs 的总费用,全部 Run 结算前为 null。每个 Run 保留各自费用;失败也可能收费。

Pattern: ^(0|[1-9]\d*)\.(\d{2}|\d{2}\d{0,3}[1-9])$
charge_basis
object | null
必填

单个 Run 的计费依据;多个 Run 汇总时为 null。各项费用请查看 runs[].charge_basis。

stoppable
boolean
必填

当前是否可接受停止请求。不保证能在分派前停止 Run。

stop_requested_at
string<date-time> | null
必填

请求停止的时间。如果已开始分派,Run 仍可能继续。

created_at
string<date-time>
必填

ISO 8601 UTC 时间戳。

started_at
string<date-time> | null
必填

ISO 8601 UTC 时间戳。

completed_at
string<date-time> | null
必填

ISO 8601 UTC 时间戳。

task_id
string | null
必填
metadata
object
必填

已保存的追踪字段,可用于筛选 Run,不发送给数据提供商,不影响路由、价格或幂等。

  • 最多 20 个键:小写字母、数字和下划线,以字母开头,最长 40 个字符。
  • 值:长度为 1–500 的字符串。
  • user_id:终端用户的不透明 ID,不得使用邮箱或姓名。
action
enum<string>
必填
可用选项:
property_value,
property_rent,
property_search,
listings_sale,
listings_rental,
market_stats,
stock_quote
result_status
enum<string>
必填

业务交付状态,与 status 中的最终 Run 生命周期独立。no_result 为有效空结果;error 表示数据提供商输出无法交付。

可用选项:
success,
no_result,
error,
pending
error
object | null
必填
runs
object[]
必填
result_url
string
必填

通过认证读取规范化结果和总费用的只读 URL 路径,配合 API 服务地址使用。不创建 Run,也不恢复切换。GET /v1/runs/:id 仍返回原生单个 Run。